Users

Export user data (GDPR Article 15)

Export all user data in JSON format for GDPR data portability compliance. Accepts JWT Bearer token (OrgBearerAuth or ProjectBearerAuth - both are the same JWT token format). API keys are not supported for this endpoint.

AuthBearer (JWT)
GroupUsers
Rate limitSee Rate Limits
GET/api/users/me/export

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, UsersApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const users = new UsersApi(configuration);
import { Configuration, UsersApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const users = new UsersApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await users.exportUserData();
const { data: result } = await users.exportUserData();

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Responses

200User data export
json
{
  "exportedAt": "2024-12-16T10:00:00Z",
  "user": {
    "_id": "685acbe0e129932fbb7a0fc2",
    "email": "user@example.com",
    "firstName": "John",
    "lastName": "Doe"
  },
  "projects": [],
  "wallets": [],
  "transactions": [],
  "files": [],
  "integrations": [],
  "apiKeys": []
}
{
  "exportedAt": "2024-12-16T10:00:00Z",
  "user": {
    "_id": "685acbe0e129932fbb7a0fc2",
    "email": "user@example.com",
    "firstName": "John",
    "lastName": "Doe"
  },
  "projects": [],
  "wallets": [],
  "transactions": [],
  "files": [],
  "integrations": [],
  "apiKeys": []
}
Edit this page on GitHub